import getFetch from './getFetch.js';

let marketingApi = {
  /** 获取全部渠道 */
  getAllChannel: '/sms/all-channel-list',
  // 获取模板管理列表
  getTemplateList: {
    method: 'post',
    url: '/sms/page-sms-setting'
  },
  // 获取模板管理列表详情表格
  getTemplateDetailList: {
    method: 'post',
    url: '/sms/page-template',
  },
  // 提审模板
  sendExamine: {
    method: 'post',
    url: '/sms/audit-template',
  },
  // 获取通道详情
  getSmsSetting: {
    method: 'post',
    url: '/sms/sms-setting-detail',
    // useFormData: true
  },
  // 修改通道
  updateSms: {
    method: 'post',
    url: '/sms/update-sms-setting',
    // useFormData: true
  },
  // 生成appid
  getAppid: '/sms/default-appid',
};

let authApi = {
  /**            登录信息              */
  getUserInfo: '/loginuser'
};

marketingApi = getFetch(marketingApi, '/marketing-operation');
authApi = getFetch(authApi, '/gic-authcenter');

export default { ...marketingApi, ...authApi };
